Bug 1470177 - Rebase IPA to latest 4.5.x version
Summary: Rebase IPA to latest 4.5.x version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On: 1470606
Blocks: 1472344
TreeView+ depends on / blocked
 
Reported: 2017-07-12 13:39 UTC by Martin Kosek
Modified: 2018-04-10 16:43 UTC (History)
7 users (show)

Fixed In Version: ipa-4.5.4-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 16:42:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0918 None None None 2018-04-10 16:43:25 UTC

Description Martin Kosek 2017-07-12 13:39:43 UTC
Rebase to the latest stable IPA release (4.6+), to pick up the enhancements and stabilization expected for the next IdM in RHEL release.

Comment 3 Nikhil Dehadrai 2018-01-23 08:25:00 UTC
IPA-Server-version: ipa-server-4.5.4-8.el7.x86_64

Tested the bug on the basis of following observations:
# rpm -qa ipa-server ipa-server-dns gssproxy pki-server
pki-server-10.5.1-5.el7.noarch
ipa-server-4.5.4-8.el7.x86_64
gssproxy-0.7.0-17.el7.x86_64
ipa-server-dns-4.5.4-8.el7.noarch

Quickinstall and other sanity checks verifies current version of IPA server.

root@hp-microservergen8-01 testuser]# tail -1 /var/log/ipaserver-install.log
2018-01-23T04:44:56Z INFO The ipa-server-install command was successful

[root@hp-microservergen8-01 testuser]# ipactl status
Directory Service: RUNNING
krb5kdc Service: RUNNING
kadmin Service: RUNNING
named Service: RUNNING
httpd Service: RUNNING
ipa-custodia Service: RUNNING
ntpd Service: RUNNING
pki-tomcatd Service: RUNNING
ipa-otpd Service: RUNNING
ipa-dnskeysyncd Service: RUNNING
ipa: INFO: The ipactl command was successful

[root@hp-microservergen8-01 testuser]# rpm -qa ipa-server ipa-server-dns gssproxy pki-server
pki-server-10.5.1-5.el7.noarch
ipa-server-4.5.4-8.el7.x86_64
gssproxy-0.7.0-17.el7.x86_64
ipa-server-dns-4.5.4-8.el7.noarch

AVC messages observed in Quickinstall is captured in a separate bug Bz1525488

Thus on the basis of above observations, marking the status of bug to 'Verified'.

Comment 6 errata-xmlrpc 2018-04-10 16:42:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0918


Note You need to log in before you can comment on or make changes to this bug.